import Vue from 'vue';

async function deleteCoin(id) {
    return Vue.axios.delete('/coin/' + id);
}

async function modifyCoin(id, coin, rewardCoin, price) {
    const request = {id: id, coin: coin, rewardCoin: rewardCoin, price: price}
    return Vue.axios.put('/coin', request);
}


async function getCoins() {
    return Vue.axios.get('/coin');
}

async function insertCoin(coin, rewardCoin, price) {
    const request = {coin: coin, rewardCoin: rewardCoin, price: price}
    return Vue.axios.post('/coin', request);
}

async function paymentCoin(coin, method, account_id) {
    const request = {accountId: account_id, method: method, coin: coin}
    return Vue.axios.post('/admin/coin/charge', request)
}

export {getCoins, insertCoin, modifyCoin, deleteCoin, paymentCoin}
