import Vue from 'vue';

async function enrollment(formData) {
    return Vue.axios.post('/account/counselor/tag', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getTags() {
    return Vue.axios.get('/account/counselor/tag');
}

async function deleteTag(tagId)  {
    return Vue.axios.delete('/account/counselor/tag/' + tagId)
}

async function modifyTag(tagId, formData) {
    return Vue.axios.put('/account/counselor/tag/' + tagId, formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    })
}

async function updateTagOrders(ids) {
    return Vue.axios.put('/account/counselor/tag/orders', { ids: ids })
}

export { enrollment, getTags, deleteTag, modifyTag, updateTagOrders }
