import Vue from 'vue';

async function login(email, password) {
    return Vue.axios.post('/member/login', {
        email,
        password,
        isAdmin: true,
    });
}

async function getAccountList(page) {
    return Vue.axios.get(
        "/admin/account/list?page=" + (page - 1) +
        "&size=20"
    )
}

async function searchAccount(searchWord, page) {
    return Vue.axios.get(
        "/admin/account/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=20"
    )
}

async function getCreatorAccountList(page) {
    return Vue.axios.get(
        "/admin/account/creator/list?page=" + (page - 1) +
        "&size=20"
    )
}

async function searchCreatorAccount(searchWord, page) {
    return Vue.axios.get(
        "/admin/account/creator/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=20"
    )
}

async function updateAccount(id, user_type) {
    const request = {id, userType: user_type}
    return Vue.axios.put("/admin/account", request)
}

export {
    login,
    getAccountList,
    searchAccount,
    getCreatorAccountList,
    searchCreatorAccount,
    updateAccount
}
