import Vue from 'vue';

async function createRecommendSudaCreator(formData) {
    return Vue.axios.post('/admin/suda/recommend-suda-creator', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateRecommendSudaCreator(formData) {
    return Vue.axios.put('/admin/suda/recommend-suda-creator', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateRecommendSudaCreatorOrders(firstOrders, ids) {
    return Vue.axios.put('/admin/suda/recommend-suda-creator/orders', { firstOrders: firstOrders, ids: ids })
}

async function getRecommendSudaCreator(page) {
    return Vue.axios.get("/admin/suda/recommend-suda-creator?page=" + (page - 1) + "&size=20");
}

export { createRecommendSudaCreator, updateRecommendSudaCreator, updateRecommendSudaCreatorOrders, getRecommendSudaCreator };
